Index: codecs/codec_ilbc.c
===================================================================
--- codecs/codec_ilbc.c	(revision 228077)
+++ codecs/codec_ilbc.c	(working copy)
@@ -127,6 +127,15 @@
 	int16_t *dst = (int16_t *)pvt->outbuf;
 	float tmpf[ILBC_SAMPLES];
 
+	if (!f->data && f->datalen) {
+		ast_log(LOG_WARNING, "issue 16070, ILIB ERROR. data = NULL datalen = %d src = %s\n", f->datalen, f->src ? f->src : "no src set");
+		ast_log(LOG_ERROR, "issue 16070, ILIB ERROR. data = NULL datalen = %d src = %s\n", f->datalen, f->src ? f->src : "no src set");
+		ast_log(LOG_DEBUG, "issue 16070, ILIB ERROR. data = NULL datalen = %d src = %s\n", f->datalen, f->src ? f->src : "no src set");
+		ast_log(LOG_NOTICE, "issue 16070, ILIB ERROR. data = NULL datalen = %d src = %s\n", f->datalen, f->src ? f->src : "no src set");
+		ast_verbouse("issue 16070, ILIB ERROR. data = NULL datalen = %d src = %s\n", f->datalen, f->src ? f->src : "no src set");
+		f->datalen = 0;
+	}
+
 	if (f->datalen == 0) { /* native PLC, set fake f->datalen and clear plc_mode */
 		f->datalen = ILBC_FRAME_LEN;
 		f->samples = ILBC_SAMPLES;
